Ubuntu 5069-2: mod-auth-mellon vulnerability | LinuxSecurity.com

Advisories

==========================================================================
Ubuntu Security Notice USN-5069-2
September 08, 2021

libapache2-mod-auth-mellon vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 21.04

Summary:

mod-auth-mellon could be made to redirect to arbitrary sites.

Software Description:
- libapache2-mod-auth-mellon: SAML 2.0 authentication module for Apache

Details:

USN-5069-1 fixed a vulnerability in mod-auth-mellon. This update provides
the corresponding updates for Ubuntu 21.04.

Original advisory details:

 It was discovered that mod-auth-mellon incorrectly filtered certain URLs.
 A remote attacker could possibly use this issue to perform an open redirect
 attack.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 21.04:
  libapache2-mod-auth-mellon      0.17.0-1ubuntu0.21.04.1

In general, a standard system update will make all the necessary changes.

References:
  https://ubuntu.com/security/notices/USN-5069-2
  https://ubuntu.com/security/notices/USN-5069-1
  CVE-2021-3639

Package Information:

https://launchpad.net/ubuntu/+source/libapache2-mod-auth-mellon/0.17.0-1ubuntu0.21.04.1

Ubuntu 5069-2: mod-auth-mellon vulnerability

September 8, 2021

Summary

A security issue affects these releases of Ubuntu and its derivatives: - Ubuntu 21.04 Summary: mod-auth-mellon could be made to redirect to arbitrary sites. Software Description: - libapache2-mod-auth-mellon: SAML 2.0 authentication module for Apache Details: USN-5069-1 fixed a vulnerability in mod-auth-mellon. This update provides the corresponding updates for Ubuntu 21.04. Original advisory details: It was discovered that mod-auth-mellon incorrectly filtered certain URLs. A remote attacker could possibly use this issue to perform an open redirect attack.

Update Instructions

The problem can be corrected by updating your system to the following package versions: Ubuntu 21.04: libapache2-mod-auth-mellon 0.17.0-1ubuntu0.21.04.1 In general, a standard system update will make all the necessary changes.

References

https://ubuntu.com/security/notices/USN-5069-2

https://ubuntu.com/security/notices/USN-5069-1

CVE-2021-3639

Severity
Ubuntu Security Notice USN-5069-2

Package Information

https://launchpad.net/ubuntu/+source/libapache2-mod-auth-mellon/0.17.0-1ubuntu0.21.04.1

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.